---
- name: install ntp
  ansible.builtin.apt:
    name: ntp

- name: stop ntp
  ansible.builtin.service:
    name: ntp
    state: stopped

- name: sync ntp
  ansible.builtin.shell:
    cmd: ntpd -gq

- name: start ntp
  ansible.builtin.service:
    name: ntp
    state: started

- name: install puppet pkg
  ansible.builtin.apt:
    deb: "{{ puppet_url_deb }}"
    update_cache: yes

- name: install puppet-agent
  ansible.builtin.apt:
    name: puppet-agent
    update_cache: yes